Skip to main content
`Ctrl`+`K`

# PetscFVGetType

Gets the `PetscFVType` (as a string) from a `PetscFV`.

## Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscFVGetType(PetscFV fvm, PetscFVType *name)

Not Collective

## Input Parameter

- fvm - The `PetscFV`

## Output Parameter

- name - The `PetscFVType` name

## See Also

`PetscFV`, `PetscFVType`, `PetscFVSetType()`, `PetscFVCreate()`

## Level

intermediate

## Location

src/dm/dt/fv/interface/fv.c

Index of all FV routines
Table of Contents for all manual pages
Index of all manual pages